import 'package:flutter/material.dart';
import '../screens/wood_type.dart';

// ignore: must_be_immutable
class GridDashboard extends StatelessWidget {
 
  IconWithText item1 = const IconWithText(
      title: "Wood Type", path: WoodType (), iconData: Icons.wallet_giftcard);
 

  GridDashboard({super.key});

  @override
  Widget build(BuildContext context) {
    List<IconWithText> myList = [item1];
    return Flexible(
        child: GridView.custom(
      gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
        crossAxisCount: 3,
        mainAxisSpacing: 0, // Adjust this value to control vertical spacing
        crossAxisSpacing: 0, // 2 columns
      ),
      childrenDelegate: SliverChildBuilderDelegate(
        (context, index) {
          return Padding(
              padding: const EdgeInsets.all(
                  0), // Adjust top padding for spacing between rows
              child: IconWithText(
                iconData: myList[index].iconData,
                title: myList[index].title,
                path: myList[index].path,
              ));
        },
        childCount: myList.length,
      ),
    ));
  }
}

class IconWithText extends StatelessWidget {
  final IconData iconData;
  final String title;
  final Widget path;
  const IconWithText(
      {super.key,
      required this.iconData,
      required this.title,
      required this.path});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        IconButton(
          icon: Icon(iconData),
          onPressed: () {
            Navigator.of(context)
                .pushReplacement(MaterialPageRoute(builder: (context) => path));
          },
        ),
        const SizedBox(height: 8),
        Text(title),
      ],
    );
  }
}
