import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:timber_tech/screens/sign_in_screen.dart';
import 'package:timber_tech/theme.dart';

Future<void> main() async {
  // ignore: unused_local_variable
  WidgetsBinding widgetsBinding = WidgetsFlutterBinding.ensureInitialized();

  SystemChrome.setSystemUIOverlayStyle(const SystemUiOverlayStyle(
    statusBarColor:Colors.transparent // set status bar color
  ));

  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Timber Tech',
      theme: theme(),
      home: const SignInScreen(),
    );
  }
}