import 'package:flutter/material.dart';
import '../components/coustom_bottom_nav_bar.dart';
import '../components/grid.dart';
import '../helper/enums.dart';

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: const Color.fromARGB(255, 237, 248, 227),
        appBar: PreferredSize(
          preferredSize: const Size.fromHeight(70),
          child: AppBar(
              backgroundColor: const Color.fromARGB(255, 182, 124, 47),
              centerTitle: true,
              flexibleSpace: const ClipRRect(
                borderRadius: BorderRadius.only(
                    bottomRight: Radius.circular(50),
                    bottomLeft: Radius.circular(50)),
              ),
              title: const Text('Home',
                  style: TextStyle(fontWeight: FontWeight.bold, fontSize: 24)),
              shape: const RoundedRectangleBorder(
                  borderRadius: BorderRadius.only(
                      bottomRight: Radius.circular(50),
                      bottomLeft: Radius.circular(50)))),
        ),
        extendBodyBehindAppBar: true,
        body: Column(
          children: <Widget>[
             const SizedBox(
              height: 160,
            ),
            GridDashboard(),
           
          ],
        ),
        bottomNavigationBar:
            const CustomBottomNavBar(selectedMenu: MenuState.home));
  }
}
